Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.assertion
Class PublisherAssertion

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.assertion.PublisherAssertion

All Implemented Interfaces:
  java.io.Serializable

public class PublisherAssertion
extends UDDIElement

Represents the publisherAssertion element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructor passing the required fields.
- Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- For sets of attributes, a get/setVector method is provided.
- SaveToXML method. Serializes this class within a passed in element.

Typically this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

UDDI version 2.0 introduces an assertion feature based on "publisher assertions". Publisher assertions are the basis for a mechanism to that allows more than one registered businessEntity element to be linked in a manner that conveys a specific type of relationship. This is why the feature is sometimes called the relationship feature. Publisher assertions are used to establish visible relationships between registered data and a set of assertions. This relationship can be seen by a general inquiry message (named "find_relatedBusinesses").

Author:
  Mahesh C S (csmahesh@india.hp.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`PublisherAssertion()` Default constructor.
`PublisherAssertion(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`PublisherAssertion(java.lang.String fromKey, java.lang.String toKey, KeyedReference keyRef)` Construct the object with required fields.

Method Summary
`FromKey` | `getFromKey()`
`java.lang.String` | `getFromKeyString()`
`KeyedReference` | `getKeyedReference()`
`ToKey` | `getToKey()`
`java.lang.String` | `getToKeyString()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setFromKey(FromKey key)`
`void` | `setFromKeyString(java.lang.String s)`
`void` | `setKeyedReference(KeyedReference r)`
`void` | `setToKey(ToKey key)`
`void` | `setToKeyString(java.lang.String s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### PublisherAssertion

    public PublisherAssertion()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### PublisherAssertion

    public PublisherAssertion(java.lang.String fromKey,
                              java.lang.String toKey,
                              KeyedReference keyRef)

  Construct the object with required fields.

Parameters:
  `fromKey` - String
  `toKey` - String
  `keyRef` - KeyedReference

### PublisherAssertion

    public PublisherAssertion(org.w3c.dom.Element base)
                       throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### getFromKeyString

    public java.lang.String getFromKeyString()

### setFromKeyString

    public void setFromKeyString(java.lang.String s)

### getToKeyString

    public java.lang.String getToKeyString()

### setToKeyString

    public void setToKeyString(java.lang.String s)

### getFromKey

    public FromKey getFromKey()

### setFromKey

    public void setFromKey(FromKey key)

### getToKey

    public ToKey getToKey()

### setToKey

    public void setToKey(ToKey key)

### getKeyedReference

    public KeyedReference getKeyedReference()

### setKeyedReference

    public void setKeyedReference(KeyedReference r)

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.